Bug 329331 - Review Request: python-gdata - A Python module for accessing online Google services
Review Request: python-gdata - A Python module for accessing online Google se...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
: 378441 (view as bug list)
Depends On:
Blocks: 324111
  Show dependency treegraph
 
Reported: 2007-10-12 08:01 EDT by Bastien Nocera
Modified: 2010-06-25 14:34 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-21 15:38:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Bastien Nocera 2007-10-12 08:01:48 EDT
+++ This bug was initially created as a clone of Bug #324111 +++

Spec URL: http://people.redhat.com/bnocera/python-gdata/python-gdata.spec
SRPM URL: http://people.redhat.com/bnocera/python-gdata/python-gdata-1.0.8-1.src.rpm
Description: This is a Python module for accessing online Google services, such as:
- Blogger
- Calendar
- Picasa Web Albums
- Spreadsheets
- YouTube
- Notebook
Comment 1 Parag AN(पराग) 2007-10-12 08:24:08 EDT
rpmlint gave me
python-gdata.noarch: E: non-executable-script
/usr/lib/python2.5/site-packages/gdata/apps/service.py 0644
python-gdata.noarch: E: non-executable-script
/usr/lib/python2.5/site-packages/gdata/spreadsheet/service.py 0644
python-gdata.noarch: E: non-executable-script
/usr/lib/python2.5/site-packages/gdata/docs/__init__.py 0644
python-gdata.noarch: E: non-executable-script
/usr/lib/python2.5/site-packages/gdata/base/service.py 0644
python-gdata.noarch: E: non-executable-script
/usr/lib/python2.5/site-packages/atom/__init__.py 0644
python-gdata.noarch: E: non-executable-script
/usr/lib/python2.5/site-packages/gdata/__init__.py 0644
python-gdata.noarch: E: non-executable-script
/usr/lib/python2.5/site-packages/gdata/docs/service.py 0644
python-gdata.noarch: E: non-executable-script
/usr/lib/python2.5/site-packages/atom/service.py 0644
python-gdata.noarch: E: non-executable-script
/usr/lib/python2.5/site-packages/gdata/calendar/__init__.py 0644
python-gdata.noarch: E: non-executable-script
/usr/lib/python2.5/site-packages/gdata/spreadsheet/__init__.py 0644
python-gdata.noarch: E: non-executable-script
/usr/lib/python2.5/site-packages/gdata/service.py 0644
python-gdata.noarch: E: non-executable-script
/usr/lib/python2.5/site-packages/gdata/test_data.py 0644
python-gdata.noarch: E: non-executable-script
/usr/lib/python2.5/site-packages/gdata/apps/__init__.py 0644
python-gdata.noarch: E: non-executable-script
/usr/lib/python2.5/site-packages/gdata/base/__init__.py 0644
python-gdata.noarch: E: non-executable-script
/usr/lib/python2.5/site-packages/gdata/calendar/service.py 0644


If this is of noarch type then do we still need following in SPEC ?
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from
distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
Comment 2 Parag AN(पराग) 2007-10-12 08:30:02 EDT
Good to add tests directory as %doc
Also, are files under samples are also examples? If yes you can also add them to
%doc. I think neither they are used in build nor they are installed.

remember to run rpmlint on rpms before providing update.
Comment 3 Bastien Nocera 2007-10-16 06:15:14 EDT
(In reply to comment #1)
> rpmlint gave me
> python-gdata.noarch: E: non-executable-script
> /usr/lib/python2.5/site-packages/gdata/apps/service.py 0644
> python-gdata.noarch: E: non-executable-script
> /usr/lib/python2.5/site-packages/gdata/spreadsheet/service.py 0644
> python-gdata.noarch: E: non-executable-script
> /usr/lib/python2.5/site-packages/gdata/docs/__init__.py 0644
> python-gdata.noarch: E: non-executable-script
> /usr/lib/python2.5/site-packages/gdata/base/service.py 0644
> python-gdata.noarch: E: non-executable-script
> /usr/lib/python2.5/site-packages/atom/__init__.py 0644
> python-gdata.noarch: E: non-executable-script
> /usr/lib/python2.5/site-packages/gdata/__init__.py 0644
> python-gdata.noarch: E: non-executable-script
> /usr/lib/python2.5/site-packages/gdata/docs/service.py 0644
> python-gdata.noarch: E: non-executable-script
> /usr/lib/python2.5/site-packages/atom/service.py 0644
> python-gdata.noarch: E: non-executable-script
> /usr/lib/python2.5/site-packages/gdata/calendar/__init__.py 0644
> python-gdata.noarch: E: non-executable-script
> /usr/lib/python2.5/site-packages/gdata/spreadsheet/__init__.py 0644
> python-gdata.noarch: E: non-executable-script
> /usr/lib/python2.5/site-packages/gdata/service.py 0644
> python-gdata.noarch: E: non-executable-script
> /usr/lib/python2.5/site-packages/gdata/test_data.py 0644
> python-gdata.noarch: E: non-executable-script
> /usr/lib/python2.5/site-packages/gdata/apps/__init__.py 0644
> python-gdata.noarch: E: non-executable-script
> /usr/lib/python2.5/site-packages/gdata/base/__init__.py 0644
> python-gdata.noarch: E: non-executable-script
> /usr/lib/python2.5/site-packages/gdata/calendar/service.py 0644

Those are completely bogus. We have #!/usr/bin/python up there, for use in the
unit tests. They're not any useful for run-time.

> If this is of noarch type then do we still need following in SPEC ?
> %{!?python_sitearch: %define python_sitearch %(%{__python} -c "from
> distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Removed.

(In reply to comment #2)
> Good to add tests directory as %doc
> Also, are files under samples are also examples? If yes you can also add them to
> %doc. I think neither they are used in build nor they are installed.
> 
> remember to run rpmlint on rpms before providing update.

samples added, the tests are unit tests, that wouldn't be useful at all, unless
you wanted to develop python-gdata.

Updated:
http://www.gnome.org/~hadess/python-gdata/python-gdata-1.0.8-2.fc8.src.rpm
http://www.gnome.org/~hadess/python-gdata/python-gdata.spec
Comment 4 Parag AN(पराग) 2007-10-18 01:47:09 EDT
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM but not for RPM.
python-gdata.noarch: E: non-executable-script
/usr/lib/python2.5/site-packages/gdata/apps/service.py 0644
python-gdata.noarch: E: non-executable-script
/usr/lib/python2.5/site-packages/gdata/spreadsheet/service.py 0644
python-gdata.noarch: E: non-executable-script
/usr/lib/python2.5/site-packages/gdata/docs/__init__.py 0644
python-gdata.noarch: E: non-executable-script
/usr/lib/python2.5/site-packages/gdata/base/service.py 0644
python-gdata.noarch: E: non-executable-script
/usr/lib/python2.5/site-packages/atom/__init__.py 0644
python-gdata.noarch: E: non-executable-script
/usr/lib/python2.5/site-packages/gdata/__init__.py 0644
python-gdata.noarch: E: non-executable-script
/usr/lib/python2.5/site-packages/gdata/docs/service.py 0644
python-gdata.noarch: E: non-executable-script
/usr/lib/python2.5/site-packages/atom/service.py 0644
python-gdata.noarch: E: non-executable-script
/usr/lib/python2.5/site-packages/gdata/calendar/__init__.py 0644
python-gdata.noarch: E: non-executable-script
/usr/lib/python2.5/site-packages/gdata/spreadsheet/__init__.py 0644
python-gdata.noarch: E: non-executable-script
/usr/lib/python2.5/site-packages/gdata/service.py 0644
python-gdata.noarch: E: non-executable-script
/usr/lib/python2.5/site-packages/gdata/test_data.py 0644
python-gdata.noarch: E: non-executable-script
/usr/lib/python2.5/site-packages/gdata/apps/__init__.py 0644
python-gdata.noarch: E: non-executable-script
/usr/lib/python2.5/site-packages/gdata/base/__init__.py 0644
python-gdata.noarch: E: non-executable-script
/usr/lib/python2.5/site-packages/gdata/calendar/service.py 0644
==> But these looks false messages. Ignored.
+ source files match upstream.
b6f6aa192446047d8045d3c30345f1ef  gdata.py-1.0.8.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc files present.
+ BuildRequires are proper.
+ defattr usage is correct.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code.
+ no static libraries.
+ no .pc file present.
+ no -devel subpackage exists.
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no scriptlets are used.
+ Not a GUI app.

APPROVED.

SHOULD:
   Remove CFLAGS as this is python package and no compilations is happening that
needs CFLAGS.
Comment 5 Bastien Nocera 2007-10-18 04:28:43 EDT
Thanks for the review!

New Package CVS Request
=======================
Package Name: python-gdata
Short Description: A Python module for accessing online Google services
Owners: hadess
Branches: devel
InitialCC: 
Cvsextras Commits: yes
Comment 6 Kevin Fenzi 2007-10-21 12:31:56 EDT
cvs done.
Comment 7 Bastien Nocera 2007-10-21 13:40:42 EDT
(In reply to comment #6)
> cvs done.

Kevin, could you please create an F-8 branch as well? I created my request
before the freeze...

Package Change Request
======================
Package Name: python-gdata
New Branches: F-8
Comment 8 Bastien Nocera 2007-10-21 13:59:56 EDT
python-gdata-1.0.8-3.fc9 built.
Comment 9 Kevin Fenzi 2007-10-21 14:15:33 EDT
cvs done.
Comment 10 Bastien Nocera 2007-10-21 15:38:06 EDT
Done in F8 and devel. Thanks Kevin and Parag.
Comment 11 Parag AN(पराग) 2007-11-13 00:16:30 EST
*** Bug 378441 has been marked as a duplicate of this bug. ***
Comment 12 Bernard Johnson 2007-11-13 09:43:11 EST
Sorry, I somehow missed this submission when I submitted my package for review.
 Can you branch this back to F7 as well.  Thanks.
Comment 13 Bastien Nocera 2007-11-13 10:33:09 EST
(In reply to comment #12)
> Sorry, I somehow missed this submission when I submitted my package for review.
>  Can you branch this back to F7 as well.  Thanks.

Please open a new bug with your login name, then you can DIY :)
Comment 14 Bernard Johnson 2007-11-13 10:47:55 EST
http://fedoraproject.org/wiki/PackageMaintainers/CVSAdminProcedure#head-529da50ad0b5cf0bedb9fdf47569c76657d79a7b

"Please try to use the existing review ticket for these special requests, even
if that ticket is CLOSED"

I think as the package owner you should be requesting the branching??
Comment 15 Bastien Nocera 2007-11-13 10:57:01 EST
(In reply to comment #14)
>
http://fedoraproject.org/wiki/PackageMaintainers/CVSAdminProcedure#head-529da50ad0b5cf0bedb9fdf47569c76657d79a7b
> 
> "Please try to use the existing review ticket for these special requests, even
> if that ticket is CLOSED"

Sigh.

> I think as the package owner you should be requesting the branching??

I don't need python-gdata on F7, so please give me your username, and I'll add
you to the maintainers so you do the builds/branching/whatever yourself. You'll
probably need to update to 1.0.8 in F8 as well if you want the latest version in F7.
Comment 16 Bernard Johnson 2007-11-13 11:03:46 EST
(In reply to comment #15)
> I don't need python-gdata on F7, so please give me your username, and I'll add
> you to the maintainers so you do the builds/branching/whatever yourself. You'll
> probably need to update to 1.0.8 in F8 as well if you want the latest version
in F7.

Ok, I understand your response now :)

FAS username: bjohnson

Thanks
Comment 17 Bastien Nocera 2007-11-13 11:18:03 EST
(In reply to comment #16)
> Ok, I understand your response now :)
> 
> FAS username: bjohnson

Could you please add yourself to the commits and all, and I'll confirm those there:
https://admin.fedoraproject.org/pkgdb/packages/name/python-gdata

Comment 18 Bernard Johnson 2007-11-13 17:29:45 EST
(In reply to comment #15)
> You'll probably need to update to 1.0.8 in F8 as well if you want the latest
> version in F7.

If it gets branched from devel (which I believe it will), I'll update F8 as well
so that there is no EVR problems.  Otherwise if it gets branched from an older
version, I have no great need to have the latest.


Package Change Request
======================
Package Name: python-gdata
New Branches: F-7


Comment 19 Kevin Fenzi 2007-11-14 19:25:03 EST
new branches are created empty, ready for whatever you like to import...

cvs done.
Comment 20 Adam Goode 2010-06-21 14:50:48 EDT
Package Change Request
======================
Package Name: python-gdata
New Branches: EL-5 EL-6
Owners: agoode
Comment 21 Kevin Fenzi 2010-06-22 21:36:16 EDT
Have you asked the fedora owner if they would like to maintain in EPEL?
Comment 22 Adam Goode 2010-06-23 10:15:40 EDT
Sorry, yes I did:

https://bugzilla.redhat.com/show_bug.cgi?id=606479
Comment 23 Jason Tibbitts 2010-06-25 14:34:24 EDT
CVS done.  It does speed up the process if you tell us that you've received approval from the existing owner.

Note You need to log in before you can comment on or make changes to this bug.